petsc-3.4.2 2013-07-02

# PetscLayoutGetBlockSize

Gets the block size for a PetscLayout object.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutGetBlockSize"
    PetscErrorCode  PetscLayoutGetBlockSize(PetscLayout map,PetscInt *bs)

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

bs -the size

### Notes

Call this after the call to PetscLayoutSetUp()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetSize()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages